%define intern_name openMotif
%define prefix	/usr/X11R6

Summary: Open Motif runtime libraries and executables.
Name: OpenMotif
Version: 2.2.2
Release: 1a
License: Open Group Public License
Group: System Environment/Libraries

Source:  ftp://ftp.ics.com/pub/Products/Motif/%{intern_name}-%{version}.tar.gz
Patch0: openMotif-2.2.2-macosx.patch

URL: http://www.motifzone.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: %{prefix}/lib/X11/XKeysymDB

Prefix: %{prefix}

%description
This is the Open Motif %{version} runtime environment. It includes the
Motif shared libraries, needed to run applications which are dynamically
linked against Motif, and the Motif Window Manager "mwm".

%package devel
Summary: Open Motif development libraries and header files.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This is the Open Motif %{version} development environment. It includes the
static libraries and header files necessary to build Motif applications.


%package demo
Summary: Open Motif Sample Applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description demo
This is the Open Motif %{version} sample program package.



%prep
%setup -q -n %{intern_name}-%{version}
%ifos darwin
%patch0 -p1 -b .macosx
%endif

%build
cp /usr/share/libtool/config.* .
cp /usr/share/libtool/ltmain.sh .

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
cp /usr/bin/glibtool libtool

make clean
make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install
mv %{buildroot}%{prefix}/share/Xm/doc/* .
rm -f %{prefix}/lib/lib*.la


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}



%files
%defattr(-,root,wheel)

%dir %{prefix}/share/Xm
%doc COPYRIGHT.MOTIF LICENSE README RELEASE RELNOTES

%{prefix}/bin/mwm
%{prefix}/bin/uil
%{prefix}/bin/xmbind

%{prefix}/lib/lib*.*.dylib

%dir %{prefix}/share/Xm/pixmaps
%{prefix}/share/Xm/pixmaps/*
%{prefix}/include/X11/bitmaps/*

%dir %{prefix}/lib/X11/bindings
%{prefix}/lib/X11/bindings/*
%{prefix}/lib/X11/system.mwmrc

%{prefix}/man/man1/*
%{prefix}/man/man4/mwmrc.4


%files devel
%defattr(-,root,wheel)

%dir %{prefix}/include/Mrm
%dir %{prefix}/include/uil
%dir %{prefix}/include/Xm
%{prefix}/include/Mrm/*
%{prefix}/include/uil/*

%{prefix}/include/Xm/*.h

%{prefix}/lib/libXm.dylib
%{prefix}/lib/libXm.*a
%{prefix}/lib/libMrm.dylib
%{prefix}/lib/libMrm.*a
%{prefix}/lib/libUil.dylib
%{prefix}/lib/libUil.*a

%{prefix}/man/man3/*
%{prefix}/man/man5/Traits.5
%{prefix}/man/man5/UIL.5
%{prefix}/man/man5/WML.5


%files demo
%defattr(-,root,wheel)

%{prefix}/bin/airport
%{prefix}/bin/autopopups
%{prefix}/bin/bboxdemo
%{prefix}/bin/colordemo
%{prefix}/bin/column
%{prefix}/bin/combo
%{prefix}/bin/DNDDemo
%{prefix}/bin/draw
%{prefix}/bin/earth
%{prefix}/bin/ext18list
%{prefix}/bin/filemanager
%{prefix}/bin/fileview
%{prefix}/bin/fontsel
%{prefix}/bin/getsubres
%{prefix}/bin/helloint
%{prefix}/bin/hellomotif
%{prefix}/bin/i18ninput
%{prefix}/bin/iconbuttondemo
%{prefix}/bin/outline
%{prefix}/bin/paned
%{prefix}/bin/panner
%{prefix}/bin/periodic
%{prefix}/bin/piano
%{prefix}/bin/sampler2_0
%{prefix}/bin/setDate
%{prefix}/bin/simpledrop
%{prefix}/bin/tabstack
%{prefix}/bin/todo
%{prefix}/bin/tooltips
%{prefix}/bin/tree
%{prefix}/bin/wsm
%{prefix}/bin/xmanimate

%dir %{prefix}/share/Xm/airport
%dir %{prefix}/share/Xm/animate
%dir %{prefix}/share/Xm/autopopups
%dir %{prefix}/share/Xm/ButtonBox
%dir %{prefix}/share/Xm/Color
%dir %{prefix}/share/Xm/Column
%dir %{prefix}/share/Xm/combo2
%dir %{prefix}/share/Xm/draw
%dir %{prefix}/share/Xm/earth
%dir %{prefix}/share/Xm/Exm
%dir %{prefix}/share/Xm/Exm/app_in_c
%dir %{prefix}/share/Xm/Exm/simple_app
%dir %{prefix}/share/Xm/Ext18list
%dir %{prefix}/share/Xm/Ext18list/pixmaps
%dir %{prefix}/share/Xm/filemanager
%dir %{prefix}/share/Xm/fileview
%dir %{prefix}/share/Xm/fontsel
%dir %{prefix}/share/Xm/getsubres
%dir %{prefix}/share/Xm/helloint
%dir %{prefix}/share/Xm/hellomotif
%dir %{prefix}/share/Xm/i18ninput
%dir %{prefix}/share/Xm/Icon
%dir %{prefix}/share/Xm/Outline
%dir %{prefix}/share/Xm/Paned2
%dir %{prefix}/share/Xm/panner
%dir %{prefix}/share/Xm/periodic
%dir %{prefix}/share/Xm/piano
%dir %{prefix}/share/Xm/sampler2_0
%dir %{prefix}/share/Xm/setDate
%dir %{prefix}/share/Xm/Tabstack
%dir %{prefix}/share/Xm/todo
%dir %{prefix}/share/Xm/tooltips
%dir %{prefix}/share/Xm/Tree
%dir %{prefix}/share/Xm/wsm

%{prefix}/share/Xm/airport/*
%{prefix}/share/Xm/animate/*
%{prefix}/share/Xm/autopopups/*
%{prefix}/share/Xm/ButtonBox/*
%{prefix}/share/Xm/Color/*
%{prefix}/share/Xm/Column/*
%{prefix}/share/Xm/combo2/*
%{prefix}/share/Xm/draw/*
%{prefix}/share/Xm/earth/*
%{prefix}/share/Xm/Exm/*/*
%{prefix}/share/Xm/Ext18list/Imakefile
%{prefix}/share/Xm/Ext18list/*.c
%{prefix}/share/Xm/Ext18list/*.h
%{prefix}/share/Xm/Ext18list/pixmaps/*
%{prefix}/share/Xm/filemanager/*
%{prefix}/share/Xm/fileview/*
%{prefix}/share/Xm/fontsel/*
%{prefix}/share/Xm/getsubres/*
%{prefix}/share/Xm/helloint/*
%{prefix}/share/Xm/hellomotif/*
%{prefix}/share/Xm/i18ninput/*
%{prefix}/share/Xm/Icon/*
%{prefix}/share/Xm/Outline/*
%{prefix}/share/Xm/Paned2/*
%{prefix}/share/Xm/panner/*
%{prefix}/share/Xm/periodic/*
%{prefix}/share/Xm/piano/*
%{prefix}/share/Xm/sampler2_0/*
%{prefix}/share/Xm/setDate/*
%{prefix}/share/Xm/Tabstack/*
%{prefix}/share/Xm/todo/*
%{prefix}/share/Xm/tooltips/*
%{prefix}/share/Xm/Tree/*
%{prefix}/share/Xm/wsm/*

%{prefix}/man/manm/*


%changelog
* Thu Jan 09 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 2.2.2-1a
- 1st build on MacOSX 10.3

